module MerryGoRound
  class Entry
    def initialize(key, increment = 1, timestamp = Time.now)
      @key = key
      @increment = increment

      # Note, storing in the past isn't supported. If you set this to something the
      # aggregator has already run, the results are undefined.
      @timestamp = timestamp
    end

    def record!
      # Normalize time. Drop seconds and convert to UTC
      time = Time.at(@timestamp.to_i - @timestamp.sec).utc.to_i

      # Store in Redis
      redis.hincrby "entry-#{time.to_s}", @key, @increment
    end

  private

    def redis
      MerryGoRound.redis
    end
  end
end
