require 'active_support/time'
require 'merry_go_round/core_ext/time'

module MerryGoRound
  module Utils
    module_function

    def seconds(granularity)
      map = {
        minute: 60,
        hour: 3600,
        day: 86400,
        week: 604800,
        year: 31536000
      }
      map[granularity]
    end

    def window(granularity, timestamp)
      timestamp.utc.send(:"all_#{granularity.to_s}")
    end
  end
end
