require 'sinatra'
require 'multi_json'
require 'merry_go_round/aggregation'

class MerryGoRound::Web < Sinatra::Application

  before do
    content_type 'application/json'
  end

  # Homepage
  get '/config' do
    response_hash = {
    }
    body { MultiJson.dump(response_hash) }
  end

  get '/query' do
    results = MerryGoRound::Query.new(params).execute
    body { MultiJson.dump(results)}
  end

  protected

  def render_error(message, status = 500)

    response_hash = {
      error: {
        status: status,
        message: message
      }
    }

    halt status, MultiJson.dump(response_hash)
  end
end
